package sae.android.sae_2a.view

import androidx.compose.foundation.Image
import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.Row
import androidx.compose.foundation.layout.height
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.layout.size
import androidx.compose.foundation.layout.width
import androidx.compose.foundation.layout.wrapContentHeight
import androidx.compose.foundation.layout.wrapContentWidth
import androidx.compose.foundation.lazy.LazyColumn
import androidx.compose.foundation.lazy.items
import androidx.compose.material3.Button
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.modifier.modifierLocalConsumer
import androidx.compose.ui.res.painterResource
import androidx.compose.ui.res.stringResource
import androidx.compose.ui.text.font.FontWeight
import androidx.compose.ui.text.style.TextAlign
import androidx.compose.ui.tooling.preview.Preview
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import sae.android.sae_2a.R

@Preview
@Composable
fun profileScreen() {

    Column( modifier = Modifier
        .background(color = Color.Gray)
        .wrapContentWidth(align = Alignment.Start)) {
        Image(
            painter = painterResource(id = R.drawable.noprofilepicture),
            contentDescription = "Description de l'image",
            modifier = Modifier
                .wrapContentWidth(align = Alignment.CenterHorizontally)
                .width(800.dp)
                .padding(top = 40.dp, bottom = 10.dp)
                .size(width = 200.dp, height = 200.dp)
        )

        Text(text = stringResource(id = R.string.profilePicture), color = Color.White, fontSize = 30.sp, fontWeight = FontWeight(1000) , modifier = Modifier
            .padding(bottom = 15.dp)
            .wrapContentHeight(align = Alignment.Top)
            .wrapContentWidth(align = Alignment.CenterHorizontally)
            .align(alignment = Alignment.CenterHorizontally)
        )

        Button( onClick = {  }, modifier = Modifier
            .padding(3.dp)
            .width(500.dp)
            .height(80.dp)) {
            Row(
                modifier = Modifier.padding(5.dp),
                horizontalArrangement = Arrangement.spacedBy(18.dp)
            ){
                Image(painter = painterResource(id = R.drawable.infoaccount), contentDescription = "home",
                    )
                Text(text = stringResource(id = R.string.home), fontSize = 20.sp)
            }
        }

        Button( onClick = {  }, modifier = Modifier
            .padding(3.dp)
            .width(500.dp)
            .height(80.dp)
            .align(alignment = Alignment.CenterHorizontally)) {
            Text(text = stringResource(id = R.string.accountDetails), fontSize = 20.sp)

        }

        Button( onClick = {  }, modifier = Modifier
            .padding(3.dp)
            .width(500.dp)
            .height(80.dp)
            .align(alignment = Alignment.CenterHorizontally)) {
            Text(text = stringResource(id = R.string.changepswd), fontSize = 20.sp)

        }

        Button( onClick = {  }, modifier = Modifier
            .padding(3.dp)
            .width(500.dp)
            .height(80.dp)
            .align(alignment = Alignment.CenterHorizontally)) {
            Text(text = stringResource(id = R.string.logOut), fontSize = 20.sp)

        }


    }


}